Description

I have two 6.2 installations,

First is a migrated site from 6.1.6 to 6.2.0beta3 using collation utf8_general_ci. Indexed Search is working here.

Second site is brand new (lastest HEAD, fresh install), using collation utf8_unicode_ci. Except of the search header, nothing else is
rendered here.

Please notice the different collations for both sides.

Both sites use the very same setup. While I can see that something has been included in TSOB of the first site:

<!-- Plugin inserted: [begin] -->
[tt_content.list.20.indexed_search]
<!-- Plugin inserted: [end] -->

Besides that, following property exists here:

tt_content.list.20.indexed_search < plugin.tx_indexedsearch 

The same looks different for the second site:

Content Object "" does not exist

Here the property tt_content.list.20.indexed_search does not exist. Instead the default is taken, which doesn't exist either.

Associated revisions
Revision 3ce53655 - 2014-03-03 20:17 - Benjamin Mack

[TASK] Make TS content templates more flexible

If an extension used static content ID 43 (content default),
it also added itself (during each runtime of ext_localconf.php)
to all available content blocks.
The original way is problematic as an extension that
provides content templates may be included after
an extension that wants to add itself after all content
templates.
This is now more confusing as the package manager
resolves the ordering of extensions and now,
CSS Styled Content gets loaded after felogin and
indexed_search.

To resolve this problem completely, the additional
TypoScript for each "contentRenderingTemplate",
a TS template that provides default content renderings,
is added to one global default TypoScript and is only
merged at the TemplateService class.

Therefore the extension loading ordering does not
matter anymore.

Resolves: #55942
Resolves: #55174
Resolves: #55557
Releases: 6.2
Change-Id: Id0c983bf96a3a76fde2183c57a17066ef8fd4ac8
Reviewed-on: https://review.typo3.org/27587
Reviewed-by: Stefan Neufeind
Tested-by: Stefan Neufeind

History
#1 - 2014-01-31 13:41 - Thomas Skierlo

Expected the problem to be in ralation with my 'advanced' collation (utf8_unicode_ci) first. But it isn't. Started a blank install (utf8_general_ci) with
yesterdays HEAD and I'm getting the very same error.

No visible or logged errors, and no plugin showing up on the search page.
Guys and gals - this thing is core stuff!

#2 - 2014-02-06 23:56 - Markus Klein

Just an idea while reading this: Did you include the static TS templates of indexed_search?

#3 - 2014-02-08 12:02 - Thomas Skierlo

Well, at least I guess so. Since IS is using the most rotten way to include it (by means of ext_typoscript_setup.txt) there realy should be no way of
omitting the default static template. Anyhow, my issues definitely are related to a missing template, since TSOB fails to present one.

Or are we talking about other requirements on 6.2, which possibly are not documented now? Like the installation of some extension to replace former
core stuff? Do I need to install ext:statictemplates to get it working? Checked documentation multiple times, but couldn't find any hint on setting it up in
a different way than I did.

Again: The upgraded variant (6.1.6 -> 6.2.0beta3) works properly (at least in terms of searching). The fresh install 6.2.0HEAD (tried 7 daily builts since
beta3) fails to include the template. And it does so silently, no errors or logging, except the missing object in TSOB. Indexing works with both variants.
Could you please clearify the term “TS templates of indexed_search?”

#4 - 2014-02-12 10:14 - Ernesto Baschny
- Status changed from New to Needs Feedback

The problem might be (once again) the order or loading of the extensions and indexed_search being loaded before css_styled_content. Same
happened to felogin (#55557). Benni wanted to think about a solution to that problem that was always there, but never before hit us, because the
loading order of extensions was usually defined by the order you installed them (and usually one installs css_styled_content before indexed_search).

@Thomas, as a workaround and to see if this is really the problem, try to set the dependencies of indexed_search to css_styled_content just in the
same way Benni proposed in https://review.typo3.org/#/c/27233/ to see if this solves your problem.

#5 - 2014-02-12 18:26 - Gerrit Code Review
- Status changed from Needs Feedback to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27587

#6 - 2014-02-13 11:31 - Thomas Skierlo
- File is_62_ok.jpg added

Success!!

Adding the dependency and clearing the cache alone doesn't solve it. BUT doing the same while disabling and re-enabling indexed_search cures it
instantly.

There's one more glitch (see screenshot), but except that, everything is working fine now, including advanced search and search rules in a modal
window.

caller     TYPO3\CMS\Core\Database\DatabaseConnection::exec_INSERTquery
ERROR     Column 'cookie' cannot be null

The remaining issue looks like peanuts to me.

Checked felogin as well (without applying the patch), and it does not show any issues (tried beta3 as well as yesterday's HEAD).

#7 - 2014-02-14 17:35 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27587

#8 - 2014-02-17 16:31 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27587

#9 - 2014-03-03 20:14 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27587

#10 - 2014-03-03 20:30 - Benjamin Mack
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:3ce53655a3739dadd732556e1902e7686ef59260.
